#!/bin/sh

# Usage: [sudo] ./install.sh [options] standalone|zeo|none
#
# Install methods available:
#    standalone - install standalone zope instance
#
# Use sudo (or run as root) for server-mode install.
#
# Options:
# --target=pathname
#   Use to specify top-level path for installs. Plone instances
#   and Python will be built inside this directory
#

# This script is actually just a wrapper to detect bash, and,
# if available, use it.
# Capture current working directory for build script
ORIGIN_PATH=`pwd`
export ORIGIN_PATH
# change to directory with script
INSTALLER_PWD=`dirname $0`
cd "$INSTALLER_PWD"
if which bash > /dev/null; then
    bash helper_scripts/main_install_script.sh "$@"
else
    . helper_scripts/main_install_script.sh
fi
cd "$ORIGIN_PATH"
